/*
 * xrick/src/sysjoy.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include <SDL.h>

#include "system.h"

static SDL_Joystick *j;

void
sysjoy_init(void)
{
  if (SDL_NumJoysticks() == 0) {  /* no joystick on this system */
#ifdef DEBUG
    sys_printf("No joystick available\n");
#endif
  }
  else {  /* use first joystick available */
    SDL_JoystickEventState(SDL_ENABLE);
    j = SDL_JoystickOpen(0);
  }
}

void
sysjoy_shutdown(void)
{
  SDL_JoystickClose(j);
}

/* eof */

